# -*- encoding : utf-8 -*-

class Admin::LabelProduitsController < ApplicationController
  layout "admin"
  before_filter :auth_admin

  def index
    per_page = (params[:per_page] and params[:per_page] != "") ? params[:per_page] : 50
    page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        
        
    
    
    @label_produits = LabelProduit.page(page).per(per_page)

   
  end

  def show
    @label_produit = LabelProduit.find(params[:id])

  end

  def new
    
    
		@label_produit = LabelProduit.new(:label_marque_id => params[:label_marque_id])
    

  end

 

  def edit
  
    
    @label_produit = LabelProduit.find(params[:id])
  end

  def create
    @label_produit = LabelProduit.new(params.require(:label_produit).permit!)


    if @label_produit.save
     redirect_to admin_label_marque_url(@label_produit.label_marque), notice: 'La pétition a été crée.' 
      
    else
      render action: "new"
 
    end

  end


  def update
    @label_produit = LabelProduit.find(params[:id])


    if @label_produit.update_attributes(params.require(:label_produit).permit!)
      #redirect_to admin_label_produits_url, notice: 'Les infos sur la pétition ont été mise à jour.' 
     
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @label_produit = LabelProduit.find(params[:id])
    @label_produit.destroy
    
    #redirect_to admin_label_produits_url

  end
end
